org.jbpm.workflow.core.node

## Class EventSubProcessNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode
      - - org.jbpm.workflow.core.node.CompositeNode
        - - org.jbpm.workflow.core.node.CompositeContextNode
          - - org.jbpm.workflow.core.node.EventSubProcessNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextContainer, ContextResolver, EventNodeInterface, org.kie.api.definition.process.Node, org.kie.api.definition.process.NodeContainer

      public class EventSubProcessNode
      extends CompositeContextNode

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode

      `CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventSubProcessNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsEvent(String type, Object event)`
    `boolean` | `acceptsEvent(String type, Object event, Function<String,String> resolver)`
    `void` | `addEvent(EventTypeFilter filter)`
    `void` | `addTimer(Timer timer, DroolsAction action)`
    `StartNode` | `findStartNode()`
    `List<String>` | `getEvents()`
    `boolean` | `isKeepActive()`
    `void` | `setKeepActive(boolean triggerOnActivation)`

    - ### Methods inherited from class org.jbpm.workflow.core.node.CompositeContextNode

      `addContext, getContext, getContexts, getDefaultContext, resolveContext, setDefaultContext`

    - ### Methods inherited from class org.jbpm.workflow.core.node.CompositeNode

      `addIncomingConnection, addNode, addOutgoingConnection, getLinkedIncomingNode, getLinkedIncomingNodes, getLinkedOutgoingNode, getLinkedOutgoingNodes, getNode, getNodeByUniqueId, getNodes, internalAddNode, internalGetLinkedIncomingNode, internalGetLinkedOutgoingNode, internalGetNode, internalGetNodes, internalRemoveNode, isAutoComplete, isCancelRemainingInstances, linkIncomingConnections, linkIncomingConnections, linkOutgoingConnections, linkOutgoingConnections, removeIncomingConnection, removeNode, removeOutgoingConnection, setAutoComplete, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode

      `addBoundaryEvents, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventSubProcessNode

          public EventSubProcessNode()

  - ### Method Detail

    - #### addEvent

          public void addEvent(EventTypeFilter filter)

    - #### getEvents

          public List<String> getEvents()

    - #### isKeepActive

          public boolean isKeepActive()

    - #### setKeepActive

          public void setKeepActive(boolean triggerOnActivation)

    - #### findStartNode

          public StartNode findStartNode()

    - #### addTimer

          public void addTimer(Timer timer,
                               DroolsAction action)

      Overrides:
        `addTimer` in class `StateBasedNode`

    - #### acceptsEvent

          public boolean acceptsEvent(String type,
                                      Object event)

      Specified by:
        `acceptsEvent` in interface `EventNodeInterface`
      Overrides:
        `acceptsEvent` in class `CompositeNode`

    - #### acceptsEvent

          public boolean acceptsEvent(String type,
                                      Object event,
                                      Function<String,String> resolver)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.